Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 115)
@@ -66,5 +66,7 @@
   public : uint32_t              * _size_execute_queue                            ;//[nb_write_bloc]
   public : uint32_t              * _nb_bypass_write                               ;//[nb_write_bloc]
- 
+  public : core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue::Twrite_queue_scheme_t 
+                                 * _write_queue_scheme                            ;//[nb_write_bloc]
+
     // Load_store_unit
   public : uint32_t                _nb_load_store_unit                            ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 115)
@@ -153,4 +153,5 @@
     ALLOC1(_param->_size_execute_queue,uint32_t,_param->_nb_write_bloc);
     ALLOC1(_param->_nb_bypass_write   ,uint32_t,_param->_nb_write_bloc);
+    ALLOC1(_param->_write_queue_scheme,core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue::Twrite_queue_scheme_t,_param->_nb_write_bloc);
 
     for (uint32_t i=0; i<_param->_nb_write_bloc; ++i)
@@ -161,4 +162,5 @@
         _param->_size_execute_queue [i] = fromString<uint32_t> (getParam("size_execute_queue","write_bloc",toString(i).c_str(),""));
         _param->_nb_bypass_write    [i] = fromString<uint32_t> (getParam("nb_bypass_write"   ,"write_bloc",toString(i).c_str(),""));
+	_param->_write_queue_scheme [i] = fromString<core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue::Twrite_queue_scheme_t> (getParam("write_queue_scheme","write_bloc",toString(i).c_str(),""));
       }   
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_genMealy_issue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_genMealy_issue.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/src/Core_Glue_genMealy_issue.cpp	(revision 115)
@@ -27,4 +27,5 @@
     bool       READ_UNIT_ENABLE       [_param->_nb_execute_loop][_param->_max_nb_read_unit ];
 
+    // Init -> all at 0
     for (uint32_t i=0; i<_param->_nb_ooo_engine; ++i)
       for (uint32_t j=0; j<_param->_nb_inst_issue[i]; ++j)
@@ -36,4 +37,5 @@
           // Read unit is enable is signal ack is set
           READ_UNIT_ENABLE       [i][j] = (PORT_READ(in_ISSUE_EXECUTE_LOOP_ACK [i][j]) == 1);
+	  log_printf(TRACE,Core_Glue,FUNCTION,"  * Read_unit [%d][%d] : %d",i,j,READ_UNIT_ENABLE[i][j]);
         }
 
@@ -42,4 +44,5 @@
         log_printf(TRACE,Core_Glue,FUNCTION,"  * execute_loop [%d]",i);
 
+	// for each issue of each ooo_engine ...
         std::list<generic::priority::select_t> * select_ooo_engine = _priority_ooo_engine[i]->select();
         for (std::list<generic::priority::select_t>::iterator it_ooo_engine=select_ooo_engine->begin();
@@ -47,20 +50,23 @@
              ++it_ooo_engine)
           {
+	    // get id
             const uint32_t ooo_engine_id  = it_ooo_engine->grp;
             const uint32_t num_ooo_engine = _param->_translate_execute_loop_num_ooo_engine [i][ooo_engine_id];
             const uint32_t num_inst_issue = it_ooo_engine->elt;
 
-            log_printf(TRACE,Core_Glue,FUNCTION,"    * num_ooo_engine [%d] (id : %d)",num_ooo_engine, ooo_engine_id);
+            log_printf(TRACE,Core_Glue,FUNCTION,"    * num_ooo_engine [%d] (id -> %d)",num_ooo_engine, ooo_engine_id);
             log_printf(TRACE,Core_Glue,FUNCTION,"    * num_inst_issue          : %d",num_inst_issue);
-            log_printf(TRACE,Core_Glue,FUNCTION,"    * ISSUE_OOO_ENGINE_VAL    : %d",PORT_READ(in_ISSUE_OOO_ENGINE_VAL [num_ooo_engine][num_inst_issue]));
 
-            // have request ?
             Tcontrol_t ooo_engine_val = PORT_READ(in_ISSUE_OOO_ENGINE_VAL [num_ooo_engine][num_inst_issue]);
 
-//             if (ooo_engine_val)
+            log_printf(TRACE,Core_Glue,FUNCTION,"    * ISSUE_OOO_ENGINE_VAL    : %d",ooo_engine_val);
+
+            // test if have a request ?
+// 	    if (ooo_engine_val)
               {
 //              // If ooo_engine can issue instruction on multiple execute_loop
 //              if (not ISSUE_OOO_ENGINE_ACK [num_ooo_engine][num_inst_issue])
 
+		// Scan all read_unit
                 std::list<generic::priority::select_t> * select_read_unit = _priority_read_unit[i]->select();
                 for (std::list<generic::priority::select_t>::iterator it_read_unit=select_read_unit->begin();
@@ -69,45 +75,51 @@
                   {
                     uint32_t num_read_unit = it_read_unit->grp;
+		    
+		    // Test if have an link and read unit is enable
+		    log_printf(TRACE,Core_Glue,FUNCTION,"      * read_unit             : %d",num_read_unit);
+		    log_printf(TRACE,Core_Glue,FUNCTION,"        * READ_UNIT_ENABLE    : %d",READ_UNIT_ENABLE [i][num_read_unit]);
+		    log_printf(TRACE,Core_Glue,FUNCTION,"        * table_dispatch      : %d",_param->_table_dispatch [num_ooo_engine][num_inst_issue][i][num_read_unit]);
+		    
+		    Tcontrol_t read_unit_enable = READ_UNIT_ENABLE [i][num_read_unit];
 
-                  // Test if have an link and read unit is enable
-                  log_printf(TRACE,Core_Glue,FUNCTION,"    * read_unit               : %d",num_read_unit);
-                  log_printf(TRACE,Core_Glue,FUNCTION,"      * READ_UNIT_ENABLE      : %d",READ_UNIT_ENABLE [i][num_read_unit]);
-                  log_printf(TRACE,Core_Glue,FUNCTION,"      * table_dispatch        : %d",_param->_table_dispatch [num_ooo_engine][num_inst_issue][i][num_read_unit]);
+		    // Test if the read_unit is not busy and if an link is between the issue slot and read_unit
+		    if (read_unit_enable and 
+			_param->_table_dispatch [num_ooo_engine][num_inst_issue][i][num_read_unit])
+		      {
+			log_printf(TRACE,Core_Glue,FUNCTION,"        * find !!!");
+			
+			// Transaction
+			READ_UNIT_ENABLE       [i][num_read_unit] = false; // now, this read_unit is busy
+			ISSUE_EXECUTE_LOOP_VAL [i][num_read_unit] = ooo_engine_val; // = 1
+			ISSUE_OOO_ENGINE_ACK   [num_ooo_engine][num_inst_issue] = read_unit_enable; // = 1
+			
+			if (_param->_have_port_context_id)
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_CONTEXT_ID            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_CONTEXT_ID            [num_ooo_engine][num_inst_issue]));
+			if (_param->_have_port_front_end_id)
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_FRONT_END_ID          [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_FRONT_END_ID          [num_ooo_engine][num_inst_issue]));
+			if (_param->_have_port_ooo_engine_id)
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_OOO_ENGINE_ID         [i][num_read_unit],ooo_engine_id);
+			if (_param->_have_port_rob_ptr)
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_PACKET_ID             [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_PACKET_ID             [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_OPERATION             [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_OPERATION             [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_TYPE                  [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_TYPE                  [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_STORE_QUEUE_PTR_WRITE [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_STORE_QUEUE_PTR_WRITE [num_ooo_engine][num_inst_issue]));
+			if (_param->_have_port_load_queue_ptr)
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_LOAD_QUEUE_PTR_WRITE  [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_LOAD_QUEUE_PTR_WRITE  [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_HAS_IMMEDIAT          [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_HAS_IMMEDIAT          [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_IMMEDIAT              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_IMMEDIAT              [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RA               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RA               [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RA            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RA            [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RB               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RB               [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RB            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RB            [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RC               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RC               [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RC            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RC            [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_WRITE_RD              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_WRITE_RD              [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RD            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RD            [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_WRITE_RE              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_WRITE_RE              [num_ooo_engine][num_inst_issue]));
+			PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RE            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RE            [num_ooo_engine][num_inst_issue]));
 
-                  Tcontrol_t read_unit_enable = READ_UNIT_ENABLE [i][num_read_unit];
-                  if (read_unit_enable and 
-                      _param->_table_dispatch [num_ooo_engine][num_inst_issue][i][num_read_unit])
-                    {
-                      // Transaction
-                      ISSUE_EXECUTE_LOOP_VAL [i][num_read_unit] = ooo_engine_val;
-                      ISSUE_OOO_ENGINE_ACK   [num_ooo_engine][num_inst_issue] = read_unit_enable; // = 1
-                      READ_UNIT_ENABLE       [i][num_read_unit] = false; // now, this read_unit is busy
-
-                      if (_param->_have_port_context_id)
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_CONTEXT_ID            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_CONTEXT_ID            [num_ooo_engine][num_inst_issue]));
-                      if (_param->_have_port_front_end_id)
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_FRONT_END_ID          [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_FRONT_END_ID          [num_ooo_engine][num_inst_issue]));
-                      if (_param->_have_port_ooo_engine_id)
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_OOO_ENGINE_ID         [i][num_read_unit],ooo_engine_id);
-                      if (_param->_have_port_rob_ptr)
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_PACKET_ID             [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_PACKET_ID             [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_OPERATION             [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_OPERATION             [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_TYPE                  [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_TYPE                  [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_STORE_QUEUE_PTR_WRITE [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_STORE_QUEUE_PTR_WRITE [num_ooo_engine][num_inst_issue]));
-                      if (_param->_have_port_load_queue_ptr)
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_LOAD_QUEUE_PTR_WRITE  [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_LOAD_QUEUE_PTR_WRITE  [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_HAS_IMMEDIAT          [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_HAS_IMMEDIAT          [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_IMMEDIAT              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_IMMEDIAT              [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RA               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RA               [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RA            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RA            [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RB               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RB               [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RB            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RB            [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_READ_RC               [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_READ_RC               [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RC            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RC            [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_WRITE_RD              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_WRITE_RD              [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RD            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RD            [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_WRITE_RE              [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_WRITE_RE              [num_ooo_engine][num_inst_issue]));
-                      PORT_WRITE(out_ISSUE_EXECUTE_LOOP_NUM_REG_RE            [i][num_read_unit],PORT_READ(in_ISSUE_OOO_ENGINE_NUM_REG_RE            [num_ooo_engine][num_inst_issue]));
-                    }            
+			break; // find : stop scan read_unit
+		      }
                   }
               }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/SelfTest/src/main.cpp	(revision 115)
@@ -82,4 +82,6 @@
       
       test (name,param);
+
+      delete param;
     }
   catch (morpheo::ErrorMorpheo & error)
@@ -94,5 +96,7 @@
     }
 
-  delete timing;
+  for (uint32_t i=0; i< MAX_TYPE; i++)
+    delete timing [i];
+  delete [] timing;
   
   return (EXIT_SUCCESS);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_deallocation.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_deallocation.cpp	(revision 115)
@@ -70,9 +70,14 @@
         // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
         
-        delete [] _execute_register;
-        delete    _execute_param;
-        delete    _execute_operation_in;
-        delete    _execute_operation_out;
-        delete [] _function_execute;
+	for (uint32_t i=0; i<_param->_nb_context; i++)
+	  for (uint32_t j=0; j<_param->_nb_front_end; j++)
+	    for (uint32_t k=0; k<_param->_nb_ooo_engine; k++)
+	      delete _execute_register [i][j][k];
+
+        DELETE3(_execute_register,_param->_nb_context,_param->_nb_front_end,_param->_nb_ooo_engine);
+        DELETE0(_execute_param);
+        DELETE0(_execute_operation_in);
+        DELETE0(_execute_operation_out);
+        DELETE2(_function_execute,_param->_nb_type,_param->_nb_operation);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration.cfg	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration.cfg	(revision 115)
@@ -11,2 +11,3 @@
 16	16	*2 # uint32_t nb_special_register
 1	8	*2 # uint32_t nb_bypass_write  
+0	1	+1 #          write_queue_scheme
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration_execute_queue_null.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration_execute_queue_null.cfg	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/configuration_execute_queue_null.cfg	(revision 115)
@@ -11,2 +11,3 @@
 16	16	*2 # uint32_t nb_special_register
 8	8	*2 # uint32_t nb_bypass_write  
+0	1	+1 #          write_queue_scheme
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/src/main.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/src/main.cpp	(revision 115)
@@ -8,6 +8,32 @@
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/SelfTest/include/top.h"
 
+<<<<<<< .mine
+#define NB_PARAMS 12
+
+void usage (int argc, char * argv[])
+{
+  err (_("<Usage> %s name_instance list_params.\n"),argv[0]);
+  err (_("list_params is :\n"));
+  err (_(" * size_write_queue    (uint32_t)\n"));
+  err (_(" * size_execute_queue  (uint32_t)\n"));
+  err (_(" * nb_context          (uint32_t)\n"));
+  err (_(" * nb_front_end        (uint32_t)\n"));
+  err (_(" * nb_ooo_engine       (uint32_t)\n"));
+  err (_(" * nb_packet           (uint32_t)\n"));
+  err (_(" * size_general_data   (uint32_t)\n"));
+  err (_(" * nb_general_register (uint32_t)\n"));
+  err (_(" * size_special_data   (uint32_t)\n"));
+  err (_(" * nb_special_register (uint32_t)\n"));
+  err (_(" * nb_bypass_write     (uint32_t)\n"));
+  err (_(" * write_queue_scheme  (Twrite_queue_scheme_t)\n"));
+
+  exit (1);
+}
+
+#ifndef SYSTEMC
+=======
 #ifndef MTI_SYSTEMC
 # ifndef SYSTEMC
+>>>>>>> .r113
 int main    (int argc, char * argv[])
 # else
@@ -17,6 +43,45 @@
   int _return = EXIT_SUCCESS;
 
+<<<<<<< .mine
+  uint32_t       x = 1;
+
+  const string   name                =      argv[x++];
+  const uint32_t size_write_queue    = fromString<uint32_t>(argv[x++]);
+  const uint32_t size_execute_queue  = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_context          = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_front_end        = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_ooo_engine       = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_packet           = fromString<uint32_t>(argv[x++]);
+  const uint32_t size_general_data   = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_general_register = fromString<uint32_t>(argv[x++]);
+  const uint32_t size_special_data   = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_special_register = fromString<uint32_t>(argv[x++]);
+  const uint32_t nb_bypass_write     = fromString<uint32_t>(argv[x++]);
+  const write_queue::Twrite_queue_scheme_t write_queue_scheme = fromString<write_queue::Twrite_queue_scheme_t>(argv[x++]);
+=======
+>>>>>>> .r113
   try 
     {
+<<<<<<< .mine
+      morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::Parameters * param = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::Parameters
+	(size_write_queue   ,
+	 size_execute_queue ,
+	 nb_context         ,
+	 nb_front_end       ,
+	 nb_ooo_engine      ,
+	 nb_packet          ,
+	 size_general_data  ,
+	 nb_general_register,
+	 size_special_data  ,
+	 nb_special_register,
+	 nb_bypass_write    ,
+	 write_queue_scheme ,
+         true // is_toplevel
+         );
+      
+      msg(_("%s"),param->print(1).c_str());
+      
+      test (name,param);
+=======
       top * my_top = new top ("my_top",argc,argv);
 
@@ -24,4 +89,5 @@
 
       delete my_top;
+>>>>>>> .r113
     }
   catch (morpheo::ErrorMorpheo & error)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/configuration.cfg	(revision 115)
@@ -1,11 +1,12 @@
 Write_queue
-8	8	*2 # uint32_t size_queue         
-1	1	*2 # uint32_t nb_context         
-1	1	*2 # uint32_t nb_front_end       
-1	4	*2 # uint32_t nb_ooo_engine      
-32	32	*2 # uint32_t nb_packet          
-32	32	*2 # uint32_t size_general_data  
-64	64	*2 # uint32_t nb_general_register
-2	2	*2 # uint32_t size_special_data  
-16	16	*2 # uint32_t nb_special_register
-1	8	*4 # uint32_t nb_bypass_write  
+8	8	*2 # uint32_t              size_queue         
+1	1	*2 # uint32_t              nb_context         
+1	1	*2 # uint32_t              nb_front_end       
+1	4	*2 # uint32_t              nb_ooo_engine      
+32	32	*2 # uint32_t              nb_packet          
+32	32	*2 # uint32_t              size_general_data  
+64	64	*2 # uint32_t              nb_general_register
+2	2	*2 # uint32_t              size_special_data  
+16	16	*2 # uint32_t              nb_special_register
+1	8	*4 # uint32_t              nb_bypass_write  
+0	1	+1 # Twrite_queue_scheme_t queue_scheme
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/src/main.cpp	(revision 115)
@@ -8,6 +8,31 @@
 #include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/SelfTest/include/top.h"
 
+<<<<<<< .mine
+#define NB_PARAMS 11
+
+void usage (int argc, char * argv[])
+{
+  err (_("<Usage> %s name_instance list_params.\n"),argv[0]);
+  err (_("list_params is :\n"));
+  err (_(" * size_queue          (uint32_t             )\n"));
+  err (_(" * nb_context          (uint32_t             )\n"));
+  err (_(" * nb_front_end        (uint32_t             )\n"));
+  err (_(" * nb_ooo_engine       (uint32_t             )\n"));
+  err (_(" * nb_packet           (uint32_t             )\n"));
+  err (_(" * size_general_data   (uint32_t             )\n"));
+  err (_(" * nb_general_register (uint32_t             )\n"));
+  err (_(" * size_special_data   (uint32_t             )\n"));
+  err (_(" * nb_special_register (uint32_t             )\n"));
+  err (_(" * nb_bypass_write     (uint32_t             )\n"));
+  err (_(" * queue_scheme        (Twrite_queue_scheme_t)\n"));
+
+  exit (1);
+}
+
+#ifndef SYSTEMC
+=======
 #ifndef MTI_SYSTEMC
 # ifndef SYSTEMC
+>>>>>>> .r113
 int main    (int argc, char * argv[])
 # else
@@ -17,6 +42,44 @@
   int _return = EXIT_SUCCESS;
 
+<<<<<<< .mine
+  uint32_t       x = 1;
+
+  const string                name                =      argv[x++];
+  const uint32_t              size_queue          = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_context          = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_front_end        = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_ooo_engine       = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_packet           = fromString<uint32_t>(argv[x++]);
+  const uint32_t              size_general_data   = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_general_register = fromString<uint32_t>(argv[x++]);
+  const uint32_t              size_special_data   = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_special_register = fromString<uint32_t>(argv[x++]);
+  const uint32_t              nb_bypass_write     = fromString<uint32_t>(argv[x++]);
+  const Twrite_queue_scheme_t queue_scheme        = fromString<Twrite_queue_scheme_t>(argv[x++]);
+
+=======
+>>>>>>> .r113
   try 
     {
+<<<<<<< .mine
+      morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue::Parameters * param = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue::Parameters
+	(size_queue         ,
+	 nb_context         ,
+	 nb_front_end       ,
+	 nb_ooo_engine      ,
+	 nb_packet          ,
+	 size_general_data  ,
+	 nb_general_register,
+	 size_special_data  ,
+	 nb_special_register,
+	 nb_bypass_write    ,
+	 queue_scheme       ,
+         true // is_toplevel
+         );
+      
+      msg(_("%s"),param->print(1).c_str());
+      
+      test (name,param);
+=======
       top * my_top = new top ("my_top",argc,argv);
 
@@ -24,4 +87,5 @@
 
       delete my_top;
+>>>>>>> .r113
     }
   catch (morpheo::ErrorMorpheo & error)
